Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.plugin
Class ProjectPluginManager

    java.lang.Object
      edu.stanford.smi.protege.plugin.ProjectPluginManager

    public class ProjectPluginManager

extends Object

Author:
  Ray Fergerson

Constructor Summary
`ProjectPluginManager()`

Method Summary
`void` | `afterCreate(Project project)`
`void` | `afterLoad(Project project)`
`void` | `afterSave(Project project)`
`void` | `afterShow(ProjectView projectView, ProjectToolBar toolBar, ProjectMenuBar menuBar)`
`void` | `beforeClose(Project project)`
`void` | `beforeHide(ProjectView projectView, ProjectToolBar toolBar, ProjectMenuBar menuBar)`
`void` | `beforeSave(Project project)`
`void` | `dispose()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectPluginManager

    public ProjectPluginManager()

Method Detail

### dispose

    public void dispose()

### afterCreate

    public void afterCreate(Project project)

### afterLoad

    public void afterLoad(Project project)

### afterSave

    public void afterSave(Project project)

### afterShow

    public void afterShow(ProjectView projectView,
                          ProjectToolBar toolBar,
                          ProjectMenuBar menuBar)

### beforeSave

    public void beforeSave(Project project)

### beforeClose

    public void beforeClose(Project project)

### beforeHide

    public void beforeHide(ProjectView projectView,
                           ProjectToolBar toolBar,
                           ProjectMenuBar menuBar)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.